Originator/Permission

Each VASP needs to implement a permission endpoint to get a notification from bridge

When an originator posts a permission request to Bridge, it needs to attach this url in callback_url.
The Beneficiary VASP signs the body parameters with its private key to construct the signature.

Body Params
string
required
length between 64 and 64

Unique Id generated by Bridge

string
enum
required
length ≥ 1

Status of the transfer permission, currently available values: ACCEPTED, REJECTED.

Allowed:
integer
≥ 0

Use a Unix timestamp with milliseconds for expire_date and avoid setting it to a past time. The Sygna Bridge protocol stops relaying transfer requests after the expiration date. Default “30 days of expire date” if “expire_date” is not specified.

string
enum
length ≥ 1

Only required when the permission_status is REJECTED, reply with BVRC.

string

Only required when the permission_status is REJECTED and reject_code is 'BVRC999', reply with BVRC.

boolean

check vasp status or not

string
required
length between 128 and 128

Signature of the object that includes the constraint fields.

Response

Language
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json